org.red5.server.net.rtmps

## Class RTMPSMinaIoHandler

- java.lang.Object
- - org.apache.mina.core.service.IoHandlerAdapter
  - - org.red5.server.net.rtmp.RTMPMinaIoHandler
    - - org.red5.server.net.rtmps.RTMPSMinaIoHandler

All Implemented Interfaces:
  org.apache.mina.core.service.IoHandler, org.springframework.context.ApplicationContextAware

    public class RTMPSMinaIoHandler
    extends RTMPMinaIoHandler

Handles Native RTMPS protocol events fired by the MINA framework.

     var nc:NetConnection = new NetConnection();
     nc.proxyType = "best";
     nc.connect("rtmps:\\localhost\app");

Originally created by: Kevin Green http://tomcat.apache.org/tomcat-6.0-doc/ssl-howto.html http://java.sun.com/j2se/1.5.0/docs/guide/security/CryptoSpec.html#AppA http://java.sun.com/j2se/1.5.0/docs/api/java/security/KeyStore.html http://tomcat.apache.org/tomcat-3.3-doc/tomcat-ssl-howto.html

Author:
  Kevin Green (kevygreen@gmail.com), Paul Gregoire (mondain@gmail.com)

### Field Summary

### Fields inherited from class org.red5.server.net.rtmp.RTMPMinaIoHandler

`appCtx, handler, rtmpConnManager`

### Constructor Summary

Constructors
Constructor and Description
`RTMPSMinaIoHandler()`

### Method Summary

Methods
`void` `exceptionCaught(org.apache.mina.core.session.IoSession session, Throwable cause)`
`void` `sessionOpened(org.apache.mina.core.session.IoSession session)`
`void` `setKeystoreBytes(byte[] arr)` Set keystore data from a file.
`void` `setKeystoreFile(String path)` Set keystore data from a file.
`void` `setKeyStorePassword(String password)` Password used to access the keystore file.
`void` `setKeyStoreType(String keyStoreType)` Set the key store type, JKS or PKCS12.

### Methods inherited from class org.red5.server.net.rtmp.RTMPMinaIoHandler

`createRTMPMinaConnection, getRtmpConnManager, messageReceived, messageSent, rawBufferRecieved, sessionClosed, sessionCreated, setApplicationContext, setHandler, setRtmpConnManager`

### Methods inherited from class org.apache.mina.core.service.IoHandlerAdapter

`sessionIdle`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### RTMPSMinaIoHandler

    public RTMPSMinaIoHandler()

### Method Detail

#### sessionOpened

    public void sessionOpened(org.apache.mina.core.session.IoSession session)
                       throws Exception

Specified by:
  `sessionOpened` in interface `org.apache.mina.core.service.IoHandler`
Overrides:
  `sessionOpened` in class `RTMPMinaIoHandler`
Throws:
  `Exception`

#### exceptionCaught

    public void exceptionCaught(org.apache.mina.core.session.IoSession session,
                       Throwable cause)
                         throws Exception

Specified by:
  `exceptionCaught` in interface `org.apache.mina.core.service.IoHandler`
Overrides:
  `exceptionCaught` in class `RTMPMinaIoHandler`
Throws:
  `Exception`

#### setKeyStorePassword

    public void setKeyStorePassword(String password)

Password used to access the keystore file.

Parameters:
  `password` -

#### setKeystoreFile

    public void setKeystoreFile(String path)

Set keystore data from a file.

Parameters:
  `path` - contains keystore

#### setKeystoreBytes

    public void setKeystoreBytes(byte[] arr)

Set keystore data from a file.

Parameters:
  `arr` - keystore bytes

#### setKeyStoreType

    public void setKeyStoreType(String keyStoreType)

Set the key store type, JKS or PKCS12.

Parameters:
  `keyStoreType` -